---
lang: en
title: 'API docs: context.contextobserver'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.context.contextobserver.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [ContextObserver](./context.contextobserver.md)

## ContextObserver interface

Observers of context bind/unbind events

<b>Signature:</b>

```typescript
export interface ContextObserver 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [filter](./context.contextobserver.filter.md) | <code>BindingFilter</code> | An optional filter function to match bindings. If not present, the listener will be notified of all binding events. |
|  [observe](./context.contextobserver.observe.md) | <code>ContextObserverFn</code> | Listen on <code>bind</code>, <code>unbind</code>, or other events |


